## ros-melodic-swri-nodelet 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_nodelet)

set(BUILD_DEPS 
  nodelet
  roscpp
  std_msgs
)

set(RUNTIME_DEPS ${BUILD_DEPS})

find_package(Boost REQUIRED)
# Workaround for header-only Boost issue in older versions of cmake:
# https://gitlab.kitware.com/cmake/cmake/-/issues/18643
add_library(${PROJECT_NAME}_boost INTERFACE IMPORTED)
set_property(TARGET ${PROJECT_NAME}_boost PROPERTY
  INTERFACE_INCLUDE_DIRECTORIES ${Boost_INCLUDE_DIR})

find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
catkin_package(
  CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
  DEPENDS Boost
)

# nodelet.cpp.in must be copied before include(...) or clean builds will fail
file(COPY nodelet.cpp.in
   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}
)
set(${PROJECT_NAME}_PREFIX ${CATKIN_DEVEL_PREFIX})  # Allows use of nodelet.cpp.in in swri_nodelet_add_node macro for this build
include(${CATKIN_DEVEL_PREFIX}/share/${PROJECT_NAME}/cmake/${PROJECT_NAME}-extras.cmake)  # Allows use of swri_nodelet_add_node macro for this build

include_directories(include 
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}_test src/test_nodelet.cpp)
target_link_libraries(${PROJECT_NAME}_test
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}_boost
)

swri_nodelet_add_node(test_node ${PROJECT_NAME} TestNodelet)
target_link_libraries(test_node
  ${PROJECT_NAME}_test
)

if(CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    add_rostest(test/test_manager.test DEPENDENCIES ${PROJECT_NAME}_test)
    add_rostest(test/test_standalone.test DEPENDENCIES ${PROJECT_NAME}_test)
    add_rostest(test/test_node_wrapper.test DEPENDENCIES test_node)
endif()

install(PROGRAMS 
  nodes/nodelet
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES nodelet.cpp.in
   nodelet_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## ros-melodic-swri-nodelet 2.14.2

=== debian/changelog ===
ros-melodic-swri-nodelet (2.14.2-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.14.1-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.14.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.7-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.6-1stretch) stretch; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.5-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.4-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.3-1stretch) stretch; urgency=high

  * Bump minimum cmake version
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.2-1stretch) stretch; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.1-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.13.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.12.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-melodic-swri-nodelet (2.11.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-swri-nodelet (2.10.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-swri-nodelet (2.9.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-melodic-swri-nodelet (2.8.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-melodic-swri-nodelet (2.7.3-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-swri-nodelet (2.7.2-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.7.1-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.7.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.6.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.5.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.4.0-1stretch) stretch; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.3.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-melodic-swri-nodelet (2.0.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 00:00:00 -0000

ros-melodic-swri-nodelet (1.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-melodic-swri-nodelet (1.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 00:00:00 -0000

ros-melodic-swri-nodelet (1.0.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-melodic-swri-nodelet (0.3.0-1stretch) stretch; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 00:00:00 -0000

ros-melodic-swri-nodelet (0.2.4-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-melodic-swri-nodelet (0.2.3-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 00:00:00 -0000

ros-melodic-swri-nodelet (0.2.2-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-swri-nodelet (0.2.1-1stretch) stretch; urgency=high

  * Add C++ and CMake macros for wrapper nodes
    Defines a C++ macro to replace the normal nodelet export wrapper that
    also creates a factory function returning a pointer to that nodelet.
    Defines a CMake macro
    swri_nodelet_add_node(NODELET_NODENAME NODELET_NAMESPACE NODELET_CLASS)
    that automatically generates the c++ code for a node wrapper with node
    name NODELET_NODENAME that wraps the nodelet and makes a CMake target
    to build the node.
  * Add tests for swri_nodelet with manager and standalone


=== debian/control ===
Source: ros-melodic-swri-nodelet
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-swri-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-nodelet, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-std-msgs
Description: This package provides a simple script to write simple launch files that can easily switch between running nodelets together or as standalone nodes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-nodelet//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-swri-nodelet 2.15.2

=== debian/changelog ===
ros-melodic-swri-nodelet (2.15.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-nodelet (2.14.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.14.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.14.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.7-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.6-1bionic) bionic; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.5-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.3-1bionic) bionic; urgency=high

  * Bump minimum cmake version
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.2-1bionic) bionic; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.13.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.12.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-nodelet (2.11.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-nodelet (2.10.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-nodelet (2.9.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-nodelet (2.8.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-nodelet (2.7.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-nodelet (2.7.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-nodelet (2.7.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-nodelet (2.7.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-nodelet (2.6.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-nodelet (2.5.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-nodelet (2.4.0-1bionic) bionic; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-nodelet (2.3.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-melodic-swri-nodelet (2.2.1-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-melodic-swri-nodelet (2.2.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-melodic-swri-nodelet (2.1.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-melodic-swri-nodelet (2.0.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-melodic-swri-nodelet (1.2.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-melodic-swri-nodelet (1.1.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-melodic-swri-nodelet (1.0.0-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-melodic-swri-nodelet (0.3.0-1bionic) bionic; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-melodic-swri-nodelet (0.2.4-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-melodic-swri-nodelet (0.2.3-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-melodic-swri-nodelet (0.2.2-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-melodic-swri-nodelet (0.2.1-1bionic) bionic; urgency=high

  * Add C++ and CMake macros for wrapper nodes
    Defines a C++ macro to replace the normal nodelet export wrapper that
    also creates a factory function returning a pointer to that nodelet.
    Defines a CMake macro
    swri_nodelet_add_node(NODELET_NODENAME NODELET_NAMESPACE NODELET_CLASS)
    that automatically generates the c++ code for a node wrapper with node
    name NODELET_NODENAME that wraps the nodelet and makes a CMake target
    to build the node.


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: P. J. Reed <preed@swri.org>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-rosbash, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-rosbash <!nocheck>, ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
